Results 1 to 1 of 1

Thread: Kali Rolling - gdm fails to start after dist-upgrade

  1. #1
    Join Date
    2014-May
    Posts
    11

    Kali Rolling - gdm fails to start after dist-upgrade

    Tried tons of things and read tons of threads. Would be nice to know if it is possible to run gnome at least with some generic video driver.

    What I did:
    apt-get upgrade
    (after this I rebooted, everything went fine)
    next time I did an apt-get dist-upgrade

    From now on once gdm tries to start I can just see the following on which it hangs on:
    Started User Manager for UID 132...
    [ OK ] Stopped User Manager for UID 132.
    [ OK ] Removed slice User Slice of Debian-gdm.
    [ OK ] Created slice User Slice of Debian-gdm.
    Starting User Manager for UID 132...
    Started Session c7 of user Debian-gdm.
    [ OK ] Stopped User Manager for UID 132.
    [ OK ] Removed slice User Slice of Debian-gdm.
    [ OK ] Created slice User Slice of Debian-gdm.
    Starting User Manager for UID 132...
    Started Session c8 of user Debian-gdm.

    and this goes in an infinite loop, each time "Session c" is incrementing
    I am able to log into Kali using the recovery console and I have internet access. My videocard is ATI hd6470M

    I tried installing the last fglrx-15.302 from ATI
    here's the installation log:
    /usr/share/ati/fglrx-install.log :

    Uninstall fglrx driver complete.
    For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
    System must be rebooted to avoid system instability and potential data loss.
    /usr/share/ati/amd-uninstall.sh completed wth 0

    Creating symlink /var/lib/dkms/fglrx/15.302/source -> /usr/src/fglrx-15.302

    DKMS: add completed

    Kernel preparation unnecessary for this kernel. Skipping...

    Building module:
    cleaning build area...
    cd /var/lib/dkms/fglrx/15.302/build; sh make.sh --nohints --uname_r=4.6.0-kali1-amd64 --norootcheck... (bad exit status: 1)
    [Error] Kernel Module: Failed to build fglrx-15302 with DKMS
    [Error] Kernel Module : Removing fglrx-15.302 from DKMS


    ------------------------------------------
    Deleting module version: 15.302
    completely from the DKMS tree
    ------------------------------------------
    Done.

    I still have my previous kali image with kernel-4.4.0 on which the patched catalyst driver worked fine. If I am not able to run gdm with this kernel, is there a way to revert back the changes from dist-upgrade and downgrade to my previous packages?

    Caught on one more thing. When I do X -configure I get the following:
    (++) Using config file: "/root.xorg.conf.new"
    (==) Using system config directory "/usr/share/X11/xorg.conf.d"
    (II) [KMS] drm report modesetting isn't supported

    Backtrace:
    /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x55612756450e]
    1: /usr/lib/xorg/Xorg (0x5561273b2000+0x1b6899) [0x556127568899]
    2: /lib/x86_64-linux-gnu/libc.so.6 (0x7f583bf40000+0x33220) [0x7f583bf73220]
    (EE)
    (EE) Segmentation fault at address 0x0
    (EE)
    Fatal server error:
    (EE) Caught signal 11 (Segmentation fault). Server aborting
    (EE)
    (EE)
    Please consult the X.Org Foundation support at http://wiki.x.org for help
    (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
    (EE)
    (EE) Server terminated with error (1). Closing log file.
    Aborted

    contents of /var/log/Xorg.0.log: (same as above along with some missing fonts like The directory /usr/share/fonts/X11/cyrillic does not exist. Entry deleted from font path.)
    Last edited by maiki; 2016-09-26 at 08:20. Reason: Merge posts

Similar Threads

  1. apt-get -y upgrade fails apt-get -y dist-upgrade fails
    By billp11 in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2016-11-04, 03:42
  2. Kali-rolling dist-upgrade failed
    By junk-I in forum ARM Archive
    Replies: 1
    Last Post: 2016-07-15, 05:47
  3. apt-get dist-upgrade error on Kali Rolling
    By stevo4 in forum TroubleShooting Archive
    Replies: 20
    Last Post: 2016-04-25, 21:43
  4. apt-get dist-upgrade fails
    By nix in forum Installing Archive
    Replies: 6
    Last Post: 2014-03-23, 10:51

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •